using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.KA
{
    public class LineK08 : LKFLine
    {
        internal LineK08(string line) : base(line)
        {

        }
    }

    public class LineSatzartK08 : LineSatzart
    {
        internal LineSatzartK08 (LineType type) : base (type, 8)
        {

        }

        protected override LKFLine CreateLine(string line)
        {
            return new LineK08(line);
        }

        public IEnumerable<LineK08> K08Lines
        {
            get
            {
                return Lines.Select(l => l as LineK08);
            }
        }
    }
}
